Page MenuHomePhabricator

Wikimedia Incubator and translatewiki cannot set the rtl direction for N'Ko (nqo) language, probably because there's no MessagesNqo.php
Closed, ResolvedPublic

Description

The pages for the N'Ko (nqo) incubator are shown in LTR direction, even though this is an RTL language. For the Algerian Arabic language (arq) they are correctly shown as RTL.

The same problem happens for translatewiki.net: while translating, the translation editing box is LTR.

This probably happens because there is a MessageArq.php file, but no MessageNqo.php file, and the language is not defined as RTL in any place that is accessible to the WikimediaIncubator class which customize the page language, or to OutputPage or SkinTemplate, which actually set the page direction.

The MessageNqo.php file will certainly be created when this language reaches the threshold for importing translations from translatewiki.net to MediaWiki core repo, and then it will not be a problem for this language any longer. However, this will be a problem for other RTL language who will want to start an incubator, so maybe it would be possible to create a way for the Incubator extension to know the direction for languages that are not in Names.php and core languages yet.

Another possible solution would also be to have wgExtraLanguageDirections in addition to wgExtraLanguageNames.

Details

Event Timeline

Amire80 created this task.Dec 11 2016, 2:26 PM
Restricted Application added a project: I18n. · View Herald TranscriptDec 11 2016, 2:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

At translatewiki.net we have just carried a local patch that creates the message file.

At translatewiki.net we have just carried a local patch that creates the message file.

Where is it exactly? I couldn't find it in the translatewiki repo.

Local patch means local, not in any public repo ;) And I mean as general practice, not for nqo.

Amire80 moved this task from Untriaged to RTL on the I18n board.Feb 26 2018, 10:40 AM

There is also Language::getMessagesFileName hook which translatewiki.net could use.

Change 494209 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/core@master] Add MessagesNqo.php

https://gerrit.wikimedia.org/r/494209

Change 494209 merged by jenkins-bot:
[mediawiki/core@master] Add MessagesNqo.php

https://gerrit.wikimedia.org/r/494209

Amire80 closed this task as Resolved.Mar 14 2019, 3:42 PM
Amire80 claimed this task.